---
template:
title: Status update
subtitle: Not weekly anymore, but was it ever?
date: 2019-10-17
slug: 2019-10-17
---

I've decided to drop the "Weekly" part of the status update posts, since
they were never weekly and -- let's be honest -- they aren't going to be.
These posts are, henceforth, just "Status updates". The date range can
be inferred from the post date.

That said, here's what I've been up to!

## Void Linux

Yes, I decided to ditch Alpine in favor of Void. Alpine was great,
really. The very comfy `apk`, ultra mnml system... but having to
maintain a chroot for my glibc needs was getting way too painful. And
the package updates are so slow! Heck, they're still on kernel 4.xx on
their supposed "bleeding" `edge` repo.

So yes, Void Linux it is. Still a very clean system. I'm loving it.
I also undervolted my system using [`undervolt`](https://github.com/georgewhewell/undervolt)
(-95 mV). Can't say for sure if there's a noticeable difference in
battery life though. I'll see if I can run some tests.

This _should_ be the end of my distro hopping. Hopefully.

## PyCon

Yeah yeah, enough already. Read [my previous post](/blog/pycon-wrap-up).

## This website

I've moved out of GitHub Pages over to Netlify. This isn't my first time
using Netlify, though. I used to host my old blog which ran Hugo, there.
I was tired of doing this terrible hack to maintain a single repo for
both my source (`master`) and deploy (`gh-pages`). In essence, here's
what I did:

```shell
#!/usr/bin/env bash

git push origin master
# push contents of `build/` to the `gh-pages` branch
git subtree push --prefix build origin gh-pages
```

I can now simply push to `master`, and Netlify generates a build for me
by installing [vite](https://github.com/icyphox/vite), and running `vite
build`. Very pleasant.

## `mnmlwm`'s status

[mnmlwm](https://github.com/minimalwm/minimal), for those unaware, is my pet project which aims to be a simple
window manager written in Nim. I'd taken a break from it for a while
because Xlib is such a pain to work with (or I'm just dense). Anyway,
I'm planning on getting back to it, with some fresh inspiration from
Dylan Araps' [sowm](https://github.com/dylanaraps/sowm).

## Other

I've been reading a lot of manga lately. Finished _Kekkon Yubiwa
Monogatari_ (till the latest chapter) and _Another_, and I've just
started _Kakegurui_. I'll reserve my opinions for when I update the
[reading log](/reading).

That's about it, and I'll see you -- definitely not next week.
