---
template:
slug: 2021-05-10
title: Status update
subtitle: A review of Q1 2021
date: 2021-05-10
---

I realize I haven't done one of these in a while, a few ...
status-update-worthy things have piled up. Bangalore is currently in a
lockdown after ranking in the top 3 worst COVID-hit cities, in India. As
such, I'm sitting at home, in my home-office thing which now has an
extra monitor, writing this. We've got a lot to talk about -- let's get
to it!

## working at DeepSource

Starting January of this year, I've been working as a Site Reliability
Engineer at [DeepSource](https://deepsource.io). As a Kubernetes shop,
nearly all of my day to day work involves working with Kubernetes. I
didn't think I'd say this, but I actually quite like using K8s now. The
more I understand it, the more I find myself appreciating the need for
it. Of course, I wasn't around for the initial setup of everything --
I'm merely enjoying using an already stable cluster environment.

So far, I've set up an event-driven observability pipeline (pictured
below), some infosec work and the usual SRE stuff. I'll probably write
about the observability infrastructure in detail sometime -- perhaps on
the company blog.

![deepsource observability infra](https://cdn.icyphox.sh/vgPL9.png)

I even managed to break prod within the first month! But in all
seriousness, it's pretty riveting work, with some very fun people.

## projects

There haven't been too many, I must be honest. I did briefly consider
the idea of building a small SaaS -- a simple email-based bookmarking
service. Send a bunch of links you want to bookmark to an email address,
and get back the entire webpage as a thread of emails. 

I got as far as writing the backend for it, at
[forlater/donkey](https://git.icyphox.sh/forlater/donkey) -- a simple
Flask app that pulls web pages and sends an email, on a webhook. And a
helper tool [forlater/mdawh](https://git.icyphox.sh/forlater/mdawh) in
Go that takes mail in STDIN and sends a webhook to an endpoint. I used
OpenSMTPD to call `mdawh` when mail arrived. Overall, a pretty simple
system. Except, HTML email sucks. And the modern web sucks. I quickly
got bored of it -- dealing with websites not getting rendered correctly,
email delivery being pretty shit overall and the fact that nobody would
actually use something like this, let alone pay for it. Of course, I
could be wrong and someone looking for a service like this could be out
there -- and if they're reading this, please [email
me](mailto:x@icyphox.sh)!

That said, I'm open to revisiting this project sometime. Perhaps with a
different use-case, even.

## reading

In 2020, I began getting into the
[Cosmere](https://coppermind.net/wiki/Cosmere). I've read nearly all the
books in it, save for the _Mistborn_ series, which I'm reading at
present. Still in Era 1, having finished _The Final Empire_ and _The
Well of Ascension_. I'm taking a break before I dive into _The Hero of
Ages_.

Aside from high fantasy reading, I've begun spending some time reading
the essays at [Slate Star Codex](https://slatestarcodex.com) -- more
specifically, the selected few at
https://www.slatestarcodexabridged.com.

## learning Russian

I'd begun learning Russian sometime last year, but stopped studying it
for about 6 months or so. Recently, I decided to pick it up again after
coming across this video by Johnny Harris on [how he learnt
Italian](https://www.youtube.com/watch?v=3i1lNJPY-4Q). In essence, he
talks about why the textbook method of learning a language, i.e., the
grammar: conjugations, rules, exceptions, etc. is ineffective. Instead,
he suggests starting with learning the 1000 most frequently used words
in that language which helps build an intuition for the language. 

I've found two decks from the [publicly shared
decks](https://ankiweb.net/shared/decks/) to be really good:
[1000 frequently used words](https://ankiweb.net/shared/info/1545956138),
[7000 sentences in order of
difficulty](https://ankiweb.net/shared/info/549290451). This lets me 1)
learn the basics (vocabulary, sentence construction) and start applying
them in making my own sentences and learning the grammar intuitively,
instead of memorizing rules and conjugations.

## fitness

For a good portion of last year, I was unable to get any physical
exercise done -- gyms were closed, running downstairs just wasn't fun.
Early this year, before wave 2 of the virus, the gyms here opened for a
brief bit and I managed to get some swole on. They're closed again, now
but I've taken to running about 3 - 4 km everyday. It's still quite
boring compared to lifting, but it needs to be done.

## that's it

I've hit a writer's block, so to speak, with this blog. I have a few
ideas for future posts, but they require actual research (read: I can't
just pull up Vim and type away), so they will remain as ideas for now.
If you have some ideas for things I can write about, please shoot them
my way.
