---
template:
slug: bujo
title: The quest to optimize productivity
subtitle: This blog is devolving into a techbro cliché
date: 2021-11-04
---

Us folks in tech have this general obsession with productivity. It's all
about getting the workflow _just right_. Or at least, that's the goal.
Heck, there are entire companies built around optimizing productivity in
specific workflows -- email, notes, tasks, etc. Suffice to say, there's
a lot of activity in this space.

I've heard reports of varying degrees of success with these tools, from
"OMG it like, totally changed how I take notes!", to "I'm not sure it's
worth paying $30 per month for a mail client" (yeah, you know the
one)[^1]. However, I will never use these tools. Primarily because I
don't trust them -- I don't trust them with my data; more importantly, I
don't trust them to exist long enough before they decide to thank me for
their incredible journey and "sunset" their product.

[^1]: In case you didn't, I'm talking about Superhuman.

That said, I wasn't entirely opposed to digital solutions. I tried
a method called the OBTF, or the One Big Text File. It's what it says on
the tin: a single text file to manage everything -- tasks, email,
meetings, notes, habit tracking, etc. Its effectiveness relies on your
text editor's ability to search for things. I even came up with my own
"syntax" to help accelerate finding relevant bits. It looked like so:

```
wed, 03 nov

some task here  // DONE
another task here
a note here
meet foo @ 12:30  // CANCELLED
```

I don't exactly recall why I stopped doing it, but I did. Maybe because
I tried to do way too many things all at once. It also meant I needed to
be at my computer to update tasks -- some of which were offline/IRL.
Yeah, you can see where this is going. You probably guessed it from the
post slug. That's right -- bullet journaling. Well, sort of -- let me
explain.

The [bullet journal method](https://youtu.be/fm15cmYU0IM) is a somewhat
involved process. I recommend watching the video since I'm going to skip
explaining how bullet journaling works. The method I use draws
inspiration from bullet journaling -- but just mostly the task symbols
and daily/weekly logs. These are the symbols I use:

- `•` is a new task
- `×` is a completed task
- `>` is a task that's been carried forward
- `~strikethrough~` is a cancelled task
- `-` represents a note

And somewhat less commonly, `⊙` (a circled dot) to scribble a small note
pertaining to that task, i.e. reason for cancellation, delegation, etc.
Tasks are sometimes broken down into further subtasks represented as a
checkbox `□`. Ticking off a checkbox feels great.

Tasks are grouped under a weekly list, running from Monday to Sunday. I
had previously done daily lists, but that... didn't really work out.
Here's what happened:

```
mon, 01 nov
> long task here
× something else

tue, 02 nov
> long task here

wed, 03 nov
> long task here

...
```

See the problem? Most often, my tasks tend to span an entire week. While
I could theoretically break it down into subtasks, stuff like "Write an
RFC for Foo Service" are just that. It's a big task, and I can't really
break it down. Hence, the running weekly log.

I can't go without posting what it actually looks like in my notebook;
so here, have a FOIA-declassified-looking picture of my bullet journal.

![bullet journal](https://cdn.icyphox.sh/QzrdK.jpeg)

This was when I first attempted the weekly log. Evidently, I struggled
to compute dates accurately.  And yes, "rice acme" was a task -- one
that I promptly completed, I'll have you know. 

I use a pencil to write.  There's no real reason for it, but I started
the book with a pencil and I plan to continue with it until I finsh this
notebook -- there's still about half of it left. I plan to cop a dotgrid
notebook for my next one, and start using a pen.

![notebook with sticker](https://cdn.icyphox.sh/0psb8.jpeg)

At first I was sceptical. I didn't think I'd stick to it. But hey, looks
like I did. I've been using my bullet journal spinoff method to great
success for the past 6-odd months. Have I become more productive? I
don't know, but I can confidently state that my head has become
"lighter". I no longer have to _remember_ tasks; I can simply offload
them to my journal.

I think the key to making it work was the realization that it's not
"perfect". I put perfect in quotes because I had this notion of an
all-in-one, flawless productivity tool that'll take care of everything,
from anywhere. I then embraced the fact that some tasks don't really
need noting down and it's ok to _not follow the rules_. I guess what I'm
trying to say is -- don't force it; use the journal loosely.

No self-help-productivity-bullshit-post is complete without a list of
tips, so here it is:

- Make it your own. Don't attempt to shoehorn someone else's solution.
- Don't try to manage everything -- that hardly ever works.
- Don't over optimize. Task states don't need 20 different symbols. Keep
  it simple.
- It doesn't have to be an art project[^2]. I know mine isn't. Keep it
  functional.

[^2]: I'm looking at you,
    [r/bulletjournal](https://old.reddit.com/r/bulletjournal).

Okay, this self-help-productivity-bullshit-post is now complete.
