---
template:
slug: m575
title: The Logitech Ergo M575 trackball
subtitle: A short review of my first ever trackball
date: 2022-07-01
---

Ever since switching to a split keyboard, using a mouse has been rather
awkward. Do I put it in between the two halves? Not enough space. Do I
put it to the right? Again, not enough space since that's where my
notebook sits. And then there was the pain. I had to take routine breaks
from using the mouse due to pain on the bottom-left side of my palm. 

Enter, the trackball. Trackballs are pointing devices much like the
slightly more popular rodent. They're super old -- dating right back to
the post-World War II era.[^1] Largely speaking, there are two kinds of
trackballs: thumbballs and fingerballs. A thumbball, like the name
suggests, is operated using the thumb. A fingerball (also called as
ambidextrous trackballs) has the ball in the center, with buttons on
either side. They behave quite like a laptop's touchpad. 

[^1]: https://en.wikipedia.org/wiki/Trackball#History

Trackballs take up very little space (check!), and are known to help with
RSI (also check!). So I got one.

![logitech ergo m575](https://cdn.icyphox.sh/KPMds.jpg)

I got the [Logitech Ergo
M575](https://www.logitech.com/en-in/products/mice/m575-ergo-wireless-trackball.910-005873.html).
This is the cheapest Bluetooth trackball available in India. I bought it
for around INR 3500 (≈45 USD). It sits comfortably and stably in between
the two halves of my keyboard; it is so much easier on my hand -- it has
greatly alleviated my pain. Pictured below is my actual desk right
now[^2].

![my messy table](https://cdn.icyphox.sh/O97-8.jpg)
[^2]: That is indeed another split keyboard in the works.

The M575 is larger than your typical mouse but that's fine since it
doesn't move. Its curved shape is very satisfying to hold -- it fills
your entire palm. The build quality is pretty solid. It's all plastic,
but that's a good thing. Rubberized finishes are harder to clean and start
getting gooey and icky after a while.

<div class="row">
<img src="https://cdn.icyphox.sh/PeP0g.jpg" style="width:300px" />
<img src="https://cdn.icyphox.sh/gR2La.jpg" style="width:300px" />
<img src="https://cdn.icyphox.sh/Hdw-p.jpg" style="width:300px" />
</div>

There are a total of 5 buttons: the left and right, scroll wheel and the
forward/backward buttons, which sit to the top left. I'm not sure I like
their positioning however -- I prefer them by the thumb. I suppose the
ball takes up that space. Speaking of the ball: it's a sparkly
plastic-ish (not sure really) material and it's pretty light. It can
(and needs to be) popped off now and then for cleaning. The ball sits on
three ceramic bearings which are very smooth.

It ships with a single AA battery with an advertised runtime of 24
months. Connectivity is either via Bluetooth or a USB-A dongle found in
the battery compartment.

As for software, [Solaar](https://github.com/pwr-Solaar/Solaar) is a GUI
(and a CLI) for various Logitech devices, the M575 included. I couldn't
get much use out of it aside from tweaking DPI settings.

![solaar screenshot](https://cdn.icyphox.sh/2d09m.png)

A neat trick, and decidedly more useful, is enabling scrolling using the
trackball. On NixOS[^3], this simply requires adding the following to
`services.xserver`:
```nix
libinput = {
  enable = true;
  mouse = {
    scrollButton = 2;
    scrollMethod = "button";
  };
};
```

With this, I can simply hold down the left and right buttons (equivalent
to pressing the scroll wheel), and scroll with the trackball. Want to
scroll all the way to the bottom? Just flick! It's glorious.

I'm a baller now.

[^3]: Refer to [this Arch Wiki
    entry](https://wiki.archlinux.org/title/libinput#Scroll_with_mouse_by_holding_a_button)
    for how it's done on other Linuxes.
