---
template:
title: Save .ORG!
subtitle: PIR is getting sold to a private firm, and here's why it's bad
date: 2019-11-23
slug: save-org
---

The .ORG top-level domain introduced in 1985, has been operated by the
[Public Interest
Registry](https://en.wikipedia.org/wiki/Public_Interest_Registry) since
2003.

The .ORG TLD is used primarily by communities, free and open source
projects, and other non-profit organizations -- although the use of the
TLD isn't restricted to non-profits.

The Internet Society or ISOC, the group that created the PIR, has
decided to sell the registry over to a private equity firm -- Ethos
Capital.

## What's the problem?

There are around 10 million .ORG TLDs registered, and a good portion of
them are non-profits and non-governmental organizations. As the name
suggests, they don't earn any profits and all their operations rely on
a thin inflow of donations. A private firm having control of the .ORG
domain gives them the power to make decisions that would be unfavourable
to the .ORG community:

- They control the registration/renewal fees of the TLD. They can
hike the price if they wish to. As is stands, NGOs already earn very
little -- a .ORG price hike would put them in a very icky situation.

- They can introduce [Rights Protection
Mechanisms](https://www.icann.org/resources/pages/rpm-drp-2017-10-04-en)
or RPMs, which are essentially legal statements that can -- if not
correctly developed -- jeopardize / censor completely legal non-profit
activities.

- Lastly, they can suspend domains at the whim of state actors. It isn't
news that nation states go after NGOs, targetting them with allegations
of illegal activity. The registry being a private firm only simplifies
the process.

Sure, these are just "what ifs" and speculations, but the risk is real.
Such power can be abused and this would be severly detrimental to NGOs
globally.

## How can I help?

We need to get the ISOC to **stop the sale**. Head over to
https://savedotorg.org and sign their letter. An email is sent on your
behalf to:

* Andrew Sullivan, CEO, ISOC
* Jon Nevett, CEO, PIR
* Maarten Botterman, Board Chair, ICANN
* Göran Marby, CEO, ICANN

## Closing thoughts

The Internet that we all love and care for is slowly being subsumed by
megacorps and private firms, who's only motive is to make a profit. The
Internet was meant to be free, and we'd better act now if we want that
freedom. The future looks bleak -- I hope we aren't too late.
