---
template:
slug: twitter
title: Some thoughts on Twitter
subtitle: I've begun avoiding Twitter, here's why
date: 2020-08-03
---

This post has been a long time coming. Earlier this year, I decided to
not actively participate on Twitter, and stick to the fediverse
primarily. This has been quite possibly the best decision I've made,
with regard to curating my social / informational feeds -- apart from
[not reading news](/blog/dont-news). I'll try to gloss over some reasons
as to why I dislike Twitter as a platform, in this post. Bear in mind,
these are based on my experiences and YMMV.


## filter bubbles and radicalization

I think this can be said about any social network, but the way that
Twitter is designed only further enables this phenomenon. The more you
interact / show interest in a specific topic, the more you see of the
same -- in terms of suggested accounts to follow, notifications/email telling
you XYZ tweeted this (you probably don't even follow XYZ).

I've experienced this first hand. I created an alt and followed a few
prominent right-wing accounts (for science!), and within a day or two,
my notifications and inbox were filled with similar accounts & tweets.

This, as a result, means the user is much more likely to see content
similar to their own perspectives -- a *filter bubble*. The user is
effectively isolated in their own ideological bubbles. Consequentially,
any form of disagreement that occurs is tossed aside as _the other
party's_ flaw.
Surely they wouldn't hold that perspective if they could see things
_your_ way! It's _their_ ignorance!

One might argue, however, that they do in fact see a lot of opposing
viewpoints in their feed. After all, most of mainstream discourse on
Twitter is just derisive tweets by proponents of either side[^1], at
each other. The left quote-tweeting the right and vice versa, for
example. In fact, this is pretty much all that today's "news" is 
about -- constant, endless rebuttals to the other's perspective. 
I still think this _is_ filter bubbling -- the constant 
reaffirmation of your ideologies, by taking potshots at the other side.

[^1]: By which I mean any two ideologically opposing groups. 
    Not restricted to politics.

And what does constant exposure to a singular viewpoint lead to? That's
right, radicalization. I won't get into too much detail -- there really
isn't much to say. I'll just add that I know of a few cases IRL, where
within little over a year of having created a Twitter account the
person's political and ideological positions became hard lines -- and
they now straight up refuse to look at things any other way. This is by
no means a scientific conclusion; there are various other influencing
factors, but my point still stands.


## favors mistakes over apologies

Twitter's design is plagued with flaws, but this one takes the cake. If
you screw up or tweet something incorrect, and it happens to go viral,
there's literally no good way to publish a correction / apology. Quoting
the fantastic article by Nick Punt on [deescalating conflict on social
media](https://nickpunt.com/blog/deescalating-social-media/):

> If we ignore replies, the simple amplification effects of likes,
> replies, retweets, and subtweets leave us exposed and the situation
> can get out of hand. If we delete and post another, people are
> unlikely to see our follow-up, as corrections are rarely viral.
> Similarly, even if we reply, only our viral mistake will be seen in
> the feed of others. 


## too much USPOL

This might be a non-issue for US residents, but gosh is it irritating to
see US politics literally everywhere. I'm of the opinion that USPOL is
given an unfair amount of attention in mainstream discourse -- to the
point where it overshadows everything else, and Twitter is no exception.


## generally unhealthy discourse

If you take a close look at the overarching theme of most Tweets, or
even just the popular ones -- you'll notice a fairly negativist outlook
across most, if not all of them. The
[r/2meirl4meirl](https://reddit.com/r/2meirl4meirl) kind.[^2] This is
a very unhealthy environment to socialize in. Constantly brooding over
things you can't really affect is quite pointless.

Another general theme is the constant need for one-upping the other -- the 
never-ending contest of who's going to post the most clever
comeback. For what? For the likes and retweets, of course. This is also
what most of "cancel culture" is really about -- pick a target, post
screenshots, add a snide remark: voilà, you have a somewhat popular
tweet.

[^2]: Most posts on that sub are just screenshots of tweets, so...

## why don't you just curate your feed then bro?

Yeah, no. I've tried. The problem is, following someone for the
technical content doesn't imply they're constantly only going to post
that -- and that's their prerogative. And Twitter's annoying "XYZ liked
this tweet" doesn't help either. Trying to make your Twitter timeline
BS-free is like trying to straighten a dog's tail.

So what do I suggest then? I really don't know. Honestly, all social
media sucks. The entire idea is so contrived and the world would've been
better off without it -- the incessant, mind-numbing feed of
information. But the shinier turd here is the fediverse. It's not
governed by `$BIGTECH`, and extremists have decided to stick to their
own echo chambers like Gab. Oh, and the other side propagates massive
blocklists for the tiniest of infractions (defined by them), so they
effectively echo chambered themselves too. I'm not complaining.

> "All social media sucks, but the fediverse sucks less."  
> — Me, 2020
