---
template:
slug: whatsapp
title: What's next after WhatsApp?
subtitle: Let's not act surprised here, this was bound to happen
date: 2021-01-08
---

**Update 2021-01-17**: I'm now using Signal. It's fine for now, but [we
can do better](/blog/signal).

Ever since Facebook acquired WhatsApp for $19bn, it was blatantly
obvious that they wanted in on the massive userbase, and consequently,
the data they could collect. The acquisition wasn't all too bad at
first, I'll admit -- they added in full E2EE via the Signal Protocol,
their privacy policy wasn't _all too bad_, at least for a Facebook
product. While I obviously didn't enjoy using it -- being the only
non-free app on my phone -- I could still put up with it, considering
how ubiquitous it is here in India.

That will no longer be the case, however. With the new [privacy
policy](https://www.whatsapp.com/legal/privacy-policy) introduced by
WhatsApp, the below data will be collected and shared with Facebook and
its associated companies (quoting from the privacy policy):

> - Account Information. Your phone number, profile name and photo, online
>   status and status message, last seen status, and receipts may be
>   available to anyone who uses our Services, although you can configure
>   your Services settings to manage certain information available to
>   other users.
> - Your Contacts and Others. Users with whom you communicate may store or
>   reshare your information (including your phone number or messages) with
>   others on and off our Services. You can use your Services settings and
>   the block feature in our Services to manage the users of our Services
>   with whom you communicate and certain information you share.

And if you don't consent to these -- i.e., you don't click on "Agree" on
the pop-up about the new terms, you can no longer use WhatsApp.
Naturally, I didn't.

Now, it's fairly common knowledge that the entirety of India revolves
around WhatsApp. _Everything_ happens over WhatsApp. Invoices, shopping,
general logistics and operations, and in my case -- university
communications. I'd even declare WhatsApp as "critical infrastructure",
like power and water; without which the country cannot function. That's
a scary thought in itself -- imagine an entire nation relying on
Facebook for something so pivotal. 

So what are my options? I can either switch to a new messaging app, or
ditch instant messaging altogether.  Let's explore these.

There are some neat potential alternatives to WhatsApp, the most popular
one being Signal. While I think Signal is technically sound, I'm
skeptical about using it primarily due to its centralized nature, hosted
in the US. Moxie is openly against federation/decentralization.[^1]

[^1]: https://signal.org/blog/the-ecosystem-is-moving/

And then there's [Session](https://getsession.org), a fork of Signal
that aims to be completely decentralized. It uses [onion
routing](https://en.wikipedia.org/wiki/Onion_routing), similar to Tor.
It _does_ involve some blockshit, but the actual messaging is all done
over onion routing (they call it "onion requests"). From about 5 minutes
of usage, I can tell that the app's UI is very nicely done.  It does
suffer from severe UX issues though -- you can't add someone from your
address book, rather, you have to paste their Session ID (a long
alphanumeric) to initiate a conversation. In its current state, Session
is more "tech for tech people" than "tech for the average user".

And then there's the issue of actually getting people to use an
alternate messaging app. I know that 99% percent of the people I talk to
on WhatsApp don't care about the new privacy policy. I also know that
they're _not_ going to switch for just one guy (me). Further, the
network effects are enormous. Assuming they did switch, they'd then
have to convince all _their_ contacts to do so as well -- which isn't
happening.

Which brings me to the second option: ditching IM completely. This
option is starting to sound a lot better than having to talk to people
about why Facebook is bad, and why privacy matters and why they should
quit WhatsApp -- for what will be the hundredth time. I don't see any
immediate downsides to it. Sure, I'll miss out on some socializing but
who am I kidding, it's all mostly smalltalk anyway.

Perhaps that's what I'll end up doing -- use WhatsApp until it works,
and uninstall it after. Matters of immediate attention can be conveyed
over a phone call. Otherwise, an SMS/email should do.
