---
template:
title: 2019 in review
subtitle: A look back at last year
date: 2020-01-02
slug: 2019-in-review
---

Just landed in a rainy Chennai, back in campus for my 6th semester.
A little late to the "year in review blog post" party; travel took up
most of my time. Last year was pretty eventful (at least in my books),
and I think I did a bunch of cool stuff -- let's see!

## Interning at SecureLayer7

Last summer, I interned at [SecureLayer7](https://securelayer7.net),
a security consulting firm in Pune, India. My work was mostly in
hardware and embededded security research. I learnt a ton about ARM and
MIPS reversing and exploitation, UART and JTAG, firmware RE and
enterprise IoT security.

I also earned my first CVE! I've written about it in detail
[here](/blog/fb50).

## Conferences

I attended two major conferences last year -- Nullcon Goa and PyCon
India. Both super fun experiences and I met a ton of cool people!
[Nullcon Twitter thread](https://twitter.com/icyphox/status/1101022604851212288)
and [PyCon blog post](/blog/pycon-wrap-up).

## Talks

I gave two talks last year:

1. *Intro to Reverse Engineering* at Cyware 2019
2. *"Smart lock? Nah dude."* at PyCon India

## Things I made

Not in order, because I CBA:

- [repl](https://github.com/icyphox/repl): More of a quick bash hack, 
  I don't really use it.
- [pw](https://github.com/icyphox/pw): A password manager. This,
  I actually do use. I've even written a tiny 
  [`dmenu` wrapper](https://github.com/icyphox/dotfiles/blob/master/bin/pwmenu.sh)
  for it. 
- [twsh](https://github.com/icyphox/twsh): An incomplete twtxt client,
  in bash. I have yet to get around to finishing it.
- [alpine ports](https://github.com/icyphox/alpine): My APKBUILDs for
  Alpine.
- [detotated](https://github.com/icyphox/detotated): An IRC bot written
  in Python. See [IRC for DMs](/blog/irc-for-dms).
- [icyrc](https://github.com/icyphox/icyrc): A no bullshit IRC client,
  because WeeChat is bloat.

I probably missed something, but whatever.

## Blog posts

```
$ ls -1 pages/blog/*.md | wc -l
20
```

So excluding today's post, and `_index.md`, that's 18 posts! I had
initially planned to write one post a month, but hey, this is great. My
plan for 2020 is to write one post a _week_ -- unrealistic, I know, but
I will try nevertheless.

I wrote about a bunch of things, ranging from programming to
return-oriented-programming (heh), sysadmin and security stuff, and
a hint of culture and philosophy. Nice!

The [Python for Reverse Engineering](/blog/python-for-re-1) post got
a ton of attention on the interwebz, so that was cool.

## Bye 2019

2019 was super productive! (in my terms). I learnt a lot of new things
last year, and I can only hope to learn as much in 2020. :)

I'll see you next week.
